curl https://zeplo.ai/api/admin/getSmtpConfig \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"host": "smtp.gmail.com",
"port": 587,
"secure": false,
"user": "noreply@example.com",
"fromName": "My Platform",
"fromEmail": "noreply@example.com"
}
}
Settings
GET SMTP Settings
Configure email SMTP settings.
GET
/
api
/
admin
/
getSmtpConfig
curl https://zeplo.ai/api/admin/getSmtpConfig \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"host": "smtp.gmail.com",
"port": 587,
"secure": false,
"user": "noreply@example.com",
"fromName": "My Platform",
"fromEmail": "noreply@example.com"
}
}
Get SMTP config
GET /api/admin/getSmtpConfig
Configure SMTP for sending emails from the platform.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/admin/getSmtpConfig \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"host": "smtp.gmail.com",
"port": 587,
"secure": false,
"user": "noreply@example.com",
"fromName": "My Platform",
"fromEmail": "noreply@example.com"
}
}
Create/update SMTP config
POST /api/admin/smtpConfig
{
"host": "smtp.gmail.com",
"port": 587,
"secure": false,
"user": "noreply@example.com",
"pass": "app-password",
"fromName": "My Platform",
"fromEmail": "noreply@example.com"
}
Upload SMTP logo
POST /api/admin/smtp/upload-logo
Accepts multipart/form-data with a logo image.
Send email
POST /api/contact/sendmail
{
"to": "user@example.com",
"subject": "Welcome",
"body": "<h1>Welcome to our platform!</h1>"
}
